// MyDialog.h: interface for the CMyDialog class.
//
/*
Copyright 2001 Anish Mistry. All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

   1. Redistributions of source code must retain the above copyright notice, 
   this list of conditions and the following disclaimer.
   2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation 
   and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY ANISH MISTRY ``AS IS'' AND ANY EXPRESS OR IMPLIED 
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS 
OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The views and conclusions contained in the software and documentation are those
of the authors and should not be interpreted as representing official policies,
either expressed or implied, of Anish Mistry or AM Productions.

* Variation of the FreeBSD License. http://www.freebsd.org/copyright/freebsd-license.html
*/
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MYDIALOG_H__0453164E_4B81_4472_8B0A_7CC3D26C831A__INCLUDED_)
#define AFX_MYDIALOG_H__0453164E_4B81_4472_8B0A_7CC3D26C831A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Thunk.h"

class CMyDialog  
{
protected:
	virtual LRESULT DlgProc(HWND hDlg,UINT nMessage,WPARAM wParam,LPARAM lParam);	// this must be the first declared virtual function
	ThunkData m_Thunk;
public:
	virtual HWND GetSafeHwnd();
	bool EndDialog(unsigned long int nID);
	virtual bool Init(HINSTANCE hInstance,HWND hParent,unsigned long nTemplateID,bool bDoModal = true);
	CMyDialog();
	virtual ~CMyDialog();
protected:
	virtual bool OnInitDialog(HWND hDlg);
	virtual bool OnCommand(WPARAM wParam, LPARAM lParam);

	HWND m_hDlg;
	HINSTANCE m_hInstance;
};

#endif // !defined(AFX_MYDIALOG_H__0453164E_4B81_4472_8B0A_7CC3D26C831A__INCLUDED_)
