// MyWindow.h: interface for the CMyWindow class.
//
//////////////////////////////////////////////////////////////////////
/*
Copyright 2001 Anish Mistry. All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

   1. Redistributions of source code must retain the above copyright notice, 
   this list of conditions and the following disclaimer.
   2. Redistributions in binary form must reproduce the above copyright notice,
   this list of conditions and the following disclaimer in the documentation 
   and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY ANISH MISTRY ``AS IS'' AND ANY EXPRESS OR IMPLIED 
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY 
AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS 
OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

The views and conclusions contained in the software and documentation are those
of the authors and should not be interpreted as representing official policies,
either expressed or implied, of the Anish Mistry or AM Productions.

* Variation of the FreeBSD License. http://www.freebsd.org/copyright/freebsd-license.html
*/

#if !defined(AFX_MYWINDOW_H__252821AF_DD61_4B6F_BD61_14E479FF8FD0__INCLUDED_)
#define AFX_MYWINDOW_H__252821AF_DD61_4B6F_BD61_14E479FF8FD0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Thunk.h"

class CMyWindow  
{
protected:
	virtual LRESULT WndProc(HWND hWnd,UINT nMessage,WPARAM wParam,LPARAM lParam);	// this must be the first declared virtual function
	ThunkData m_Thunk;
public:
	CMyWindow();
	virtual ~CMyWindow();
	virtual HWND GetSafeHwnd();
	virtual ATOM RegisterClass(char *pWindowClass, unsigned long int nIconID, unsigned long int nMenuID);
	virtual unsigned long int Init(HWND hParent,char *pWindowName, unsigned long int dwExStyle,unsigned long int dwStyle, int x, int y,int nWidth, int nHeight, HMENU hMenu, int nCmdShow);
protected:
	virtual unsigned long int OnCommand(WPARAM wParam, LPARAM lParam);

	HWND m_hWnd;
	HINSTANCE m_hInstance;
	char m_pWindowClass[MAX_PATH];
};

#endif // !defined(AFX_MYWINDOW_H__252821AF_DD61_4B6F_BD61_14E479FF8FD0__INCLUDED_)
